
[MODULE_PARAMETERS]
# This section shall contain the values of all parameters that are defined in your TTCN-3 modules.
# The GeoNetworking address of the IUT. See testdata set and plugtest1026-log-locD 002.pcap
LibItsGeoNetworking_Pics.PICS_GN_LOCAL_GN_ADDR := {
  typeOfAddress := e_initial,
  stationType := e_unknown,
  stationCountryCode := 0,
  mid := '4C5E0C14D2EA'O
}
# IUT Station ID. See testdata set and plugtest1026-log-locD 002.pcap
LibItsCommon_Pixits.PX_IUT_STATION_ID := 10143;

# GeoNetwoking only, no facility layer
#LibItsGeoNetworking_Pixits.PX_GN_UPPER_LAYER := e_any
# With facility layer
LibItsGeoNetworking_Pixits.PX_GN_UPPER_LAYER := e_btpB

#LibCommon_Time.PX_TAC := 5.0

[LOGGING]
# In this section you can specify the name of the log file and the classes of events
# you want to log into the file or display on console (standard error).

LogFile := "../logs/%e.%h-%r.%s"
FileMask := LOG_ALL | USER | DEBUG | MATCHING
ConsoleMask := LOG_ALL | USER | DEBUG | MATCHING
#FileMask := ERROR | USER | MATCHING | EXECUTOR_RUNTIME | VERDICTOP
#ConsoleMask := ERROR | USER | MATCHING | EXECUTOR_RUNTIME | VERDICTOP
LogSourceInfo := Stack
LogEntityName:= Yes
LogEventTypes:= Yes
#TimeStampFormat := DateTime

[TESTPORT_PARAMETERS]
# In this section you can specify parameters that are passed to Test Ports.
# CAM Layer
#   next_header     : btpA|btpB (overwrite BTP.type)
#   header_type     : tsb|gbc
#   header_sub_type : sh (single hop)
# DENM Layer
#   next_header     : btpA|btpB (overwrite BTP.type)
#   header_type     : tsb|gbc
# BTP Layer
#   type            : btpA|btpB
#   destination port: dst_port
#   source port     : src_port
#   device_mode     : Set to 1 if the layer shall encapsulate upper layer PDU
# GN Layer
#   its_aid                : ITS AID as defined by ETSI TS 102 965 V1.2.1. Default: 141
#   ll_address             : GeoNetworking address of the Test System
#   latitude               : Latitude of the Test System
#   longitude              : Kongitude of the Test System
#   beaconing              : Set to 1 if the Test System shall start beaconing
#   Beaconning timer expiry: Expiry (ms)
#   device_mode            : Set to 1 if the layer shall encapsulate upper layer PDU
#   secured_mode           : Set to 1 if message exchanges shall be secured
#   certificate            : Certificate identifier the Test Adapter shall use
#   secure_db_path         : Path to the certificates and keys storage location
#   hash                   : Hash algorithm to be used when secured mode is set
#                            Authorized values are SHA-256 or SHA-384
#                            Default: SHA-256
#   signature              : Signature algorithm to be used when secured mode is set
#                            Authorized values are NISTP-256, BP-256 and BP-384
#                            Default: NISTP-256
#   cypher                 : Cyphering algorithm to be used when secured mode is set
# Ethernet layer
#   mac_src  :Source MAC address
#   mac_bc   :Broadcast address
#   eth_type : Ethernet type
# Commsignia layer
#   mac_src     : Device MAC address, used to discard packets
#                 To indicate no filering, use the value 000000000000
#   mac_bc      : Broadcast address
#   eth_type    : Ethernet type, used to discard packets
#   target_host : Device address
#   target_port : Device port
#   source_port : Test System port
#   interface_id: Interface id, used to discard packets
#   tx_power    : TX power (dB)
# UDP layer (IP/UDP based on Pcap)
#   dst_ip  : destination IPv4 address (aa.bb.cc.dd)
#   dst_port: destination port
#   src_ip  : source IPv4 address (aa.bb.cc.dd)
#   src_port: source port
# Pcap layer
#   mac_src    : Source MAC address, used to exclude from capture the acket sent by the Test System
#   filter     : Pcap filter (compliant with tcpdump syntax) 
#   Online mode:
#     nic: Local NIC
#          If set, online mode is used
#   Offline mode (nic is present but not set):
#     file        : File to read
#     frame_offset: Frame offset, used to skip packets with frame number < frame_offset
#     time_offset : Time offset, used to skip packets with time offset < time_offset
#     save_mode   : 1 to save sent packet, 0 otherwise

# Single GeoNetworking component port
# GN port using PCAP file
#system.geoNetworkingPort.params := "GN(ll_address=F8CAB8083918,latitude=43551050,longitude=10298730,beaconing=1,expiry=1000,its_aid=141,secured_mode=1,certificate=CERT_TS_A,sec_db_path=/home/vagrant/tmp/Yann)/ETH(mac_src=F8CAB8083918,mac_bc=FFFFFFFFFFFF,eth_type=8947)/PCAP(mac_src=BABEBABE0002,nic=,file=../../../testdata/test_61_beacon_sec.pcap,filter=and ether proto 0x8947,frame_offset=0,save_mode=0)"
# GN port using NIC
system.geoNetworkingPort.params := "GN(ll_address=4C5E0C14D2EB,latitude=43551050,longitude=10298730,beaconing=1,expiry=1000,device_mode=0,its_aid=141,secured_mode=0,certificate=CERT_TS_A,sec_db_path=/home/ubuntu/tmp/Yann)/ETH(mac_src=4C5E0C14D2EB,mac_bc=FFFFFFFFFFFF,eth_type=8947)/PCAP(mac_src=4C5E0C14D2EB,nic=eth1,file=,filter=and not ether src DC536045AF7E and ether proto 0x8947,frame_offset=0,save_mode=0)"
# Commsignia GN port
#system.geoNetworkingPort.params := "GN(ll_address=F8CAB8083918,latitude=43551050,longitude=10298730,beaconing=0,expiry=1000,its_aid=141,secured_mode=0,certificate=ta_cert_nistp256_sha256)/COMMSIGNIA(mac_src=4C5E0C14D2EA,bc=FFFFFFFFFFFF,eth_type=8947,target_host=10.200.1.101,target_port=7942,sourcePort=7943,its_aid=141,interface_id=2,tx_power=-32)/UDP(dst_ip=192.168.56.1,dst_port=12346,src_ip=192.168.156.4,src_port=12345)/ETH(mac_src=026f8338c1e5,mac_dst=0A0027000011,eth_type=0800)/PCAP(mac_src=0800275c4959,file=../../../testdata/commsignia_61_beacon.pcap,filter=and (udp port 30000 or udp port 7943))"
# Multiple GeoNetworking component port
Comp1.geoNetworkingPort.params := "GN(ll_address=F8CAB8083919,latitude=43551050,longitude=10298730,beaconing=1,expiry=1000,its_aid=141)/ETH(mac_src=F8CAB8083918,mac_bc=FFFFFFFFFFFF,eth_type=8947)/PCAP(mac_src=F8CAB8083919,nic=,file=../../../testdata/test_1_cam.pcap,filter=and ether proto 0x8947,frame_offset=0,save_mode=0)"
Comp2.geoNetworkingPort.params := "GN(ll_address=F8CAB808391A,latitude=43551050,longitude=10298730,beaconing=1,expiry=1000,its_aid=141)/ETH(mac_src=F8CAB8083918,mac_bc=FFFFFFFFFFFF,eth_type=8947)/PCAP(mac_src=F8CAB808391A,nic=,file=../../../testdata/test_1_cam.pcap,filter=and ether proto 0x8947,frame_offset=0,save_mode=0)"

# BTP port
system.btpPort.params := "BTP(type=btpB,dst_port=2000,src_port=0)/GN(ll_address=F8CAB8083918,latitude=43551050,longitude=10298730,expiry=1000,its_aid=141)/ETH(mac_src=F8CAB8083918,mac_bc=FFFFFFFFFFFF,eth_type=8947)/PCAP(mac_src=F8CAB8083918,nic=,file=../../../testdata/test_1_cam.pcap,filter=and ether proto 0x8947,frame_offset=0)"

# CAM port
# CAM port using file
#system.camPort.params := "CAM(next_header=btpB,header_type=tsb,header_sub_type=sh)/BTP(type=btpB,dst_port=2001,src_port=0,device_mode=1)/GN(ll_address=F8CAB8083918,latitude=43551050,longitude=10298730,beaconing=0,expiry=1000,its_aid=141,secured_mode=1,certificate=CERT_TS_A,sec_db_path=/home/vagrant/tmp/Yann)/ETH(mac_src=F8CAB8083918,mac_bc=FFFFFFFFFFFF,eth_type=8947)/PCAP(mac_src=F8CAB8083918,nic=,file=../../../testdata/test_1_cam_sec.pcap,save_mode=1,filter=and ether proto 0x8947,frame_offset=0)"
# CAM port using NIC
system.camPort.params := "CAM(next_header=btpB,header_type=tsb,header_sub_type=sh)/BTP(type=btpB,dst_port=2001,src_port=0,device_mode=1)/GN(ll_address=4C5E0C14D2EB,latitude=43551050,longitude=10298730,beaconing=0,expiry=1000,its_aid=141,device_mode=1,secured_mode=1,certificate=CERT_TS_A,sec_db_path=/home/vagrant/tmp/Yann)/ETH(mac_src=4C5E0C14D2EB,mac_bc=FFFFFFFFFFFF,eth_type=8947)/PCAP(mac_src=4C5E0C14D2EB,nic=eth1,file=,filter=and ether proto 0x8947,frame_offset=0,save_mode=0)"

# DENM port
# DENM port using file
#system.denmPort.params := "DENM(next_header=btpB)/BTP(type=btpB,dst_port=2002,src_port=0,device_mode=1)/GN(ll_address=F8CAB8083918,latitude=43551050,longitude=10298730,expiry=1000,device_mode=1,its_aid=141)/ETH(mac_src=F8CAB8083918,mac_bc=FFFFFFFFFFFF,eth_type=8947)/PCAP(mac_src=F8CAB8083918,nic=,file=../../../testdata/test_1_denm.pcap,save_mode=1,filter=and ether proto 0x8947,frame_offset=0)"
# DENM port using NIC
system.denmPort.params := "DENM(next_header=btpB,header_type=gbc)/BTP(type=btpB,dst_port=2002,src_port=0,device_mode=1)/GN(ll_address=F8CAB8083918,latitude=43551050,longitude=10298730,beaconing=0,expiry=1000,its_aid=141,device_mode=1,secured_mode=1,certificate=CERT_TS_A,sec_db_path=/home/vagrant/tmp/Yann)/ETH(mac_src=F8CAB8083918,mac_bc=FFFFFFFFFFFF,eth_type=8947)/PCAP(mac_src=F8CAB8083918,nic=eth1,file=,save_mode=1,filter=and ether proto 0x8947,frame_offset=0)"

# IVIM port
system.ivimPort.params := "IVIM/BTP(type=btpB,dst_port=2005,src_port=0,device_mode=1)/GN(ll_address=F8CAB8083918,latitude=43551050,longitude=10298730,expiry=1000,device_mode=1,its_aid=141)/ETH(mac_src=F8CAB8083918,mac_bc=FFFFFFFFFFFF,eth_type=8947)/PCAP(mac_src=F8CAB8083918,nic=,file=../../../testdata/test_1_ivim.pcap,save_mode=1,filter=and ether proto 0x8947,frame_offset=0)"

# GeoNetworking UpperTester port based on UDP 
system.utPort.params := "UT_GN/UDP(dst_ip=192.168.56.1,dst_port=12346,src_ip=192.168.156.4,src_port=12345)/ETH(mac_src=026f8338c1e5,mac_dst=0A0027000011,eth_type=0800)/PCAP(mac_src=0800275c4959,nic=eth1,filter=and udp port 12346)"

[EXECUTE]
# GeoNetworking Req
#TestCodec_GeoNetworking.tc_GeoNetReq_AnycastPacket
#TestCodec_GeoNetworking.tc_GeoNetReq_BroadcastPacket
#TestCodec_GeoNetworking.tc_GeoNetReq_UnicastPacket
#TestCodec_GeoNetworking.tc_GeoNetReq_BeaconPacket
#TestCodec_GeoNetworking.tc_GeoNetReq_LsRequestPacket
#TestCodec_GeoNetworking.tc_GeoNetReq_LsReplyPacket
# GeoNetworking Ind
#TestCodec_GeoNetworking.tc_GeoNetInd_AnycastPacket
#TestCodec_GeoNetworking.tc_GeoNetInd_BroadcastPacket
#TestCodec_GeoNetworking.tc_GeoNetInd_ShbPacket
#TestCodec_GeoNetworking.tc_GeoNetInd_ShbPacket_1
#TestCodec_GeoNetworking.tc_GeoNetInd_UnicastPacket
#TestCodec_GeoNetworking.tc_GeoNetInd_BeaconPacket
# GeoNetworking AC port
#TestCodec_GeoNetworking.tc_GeoNet_Port_acPort_lpv
#TestCodec_GeoNetworking.tc_GeoNet_acPort_getLongPositionVector_1
#TestCodec_GeoNetworking.tc_GeoNet_acPort_getLongPositionVector_2
#TestCodec_GeoNetworking.tc_GeoNet_Port_acPort_beaconing_1
#TestCodec_GeoNetworking.tc_GeoNet_Port_acPort_beaconing_2
#TestCodec_GeoNetworking.tc_GeoNet_Port_acPort_pass_beaconing_1
#TestCodec_GeoNetworking.tc_GeoNet_Port_acPort_pass_beaconing_2
# GeoNetworking port tests
# To run the GeoNetworking port tests, use the offline mode and the test data provided. Use PcapLayer.save_mode to save sent packet into a file
#TestCodec_GeoNetworking.tc_GeoNet_Port_1          # Use simulator of file to run this test
                                                   # Used to test device_mode=0,beaconing=1,beacon codec
                                                   # No startPassBeaconing
#TestCodec_GeoNetworking.tc_GeoNet_Port_2          # Use simulator of file to run this test
                                                   # Used to test device_mode=0,beaconing=1,beacon codec
                                                   # With startPassBeaconing
#TestCodec_GeoNetworking.tc_GeoNet_Port_3          # Use to test beaconing with secured mode set in config file
                                                   # Used to test device_mode=1,beaconing=1,nic
                                                   # Also used to generate secured/unsecured beacons
#TestCodec_GeoNetworking.tc_GeoNet_Port_4          # Use simulator of file to run this test with secured mode set in config file
                                                   # Used to test device_mode=0,beaconing=0,secured beacon
                                                   # With startPassBeaconing
#TestCodec_GeoNetworking.tc_GeoNet_MultiPort     # Use simulator or file to run this test
#TestCodec_GeoNetworking.tc_GeoNet_Port_utPort   # Use simulator or file to run this test
# GeoNetworking UpperTester
#TestCodec_GeoNetworking.tc_GeoNet_UtGnInitialize
#TestCodec_GeoNetworking.tc_GeoNet_UtGnChangePosition
#TestCodec_GeoNetworking.tc_GeoNet_UtGnTrigger_GeoUnicast_1
#TestCodec_GeoNetworking.tc_GeoNet_UtGnTrigger_GeoUnicast_2
#TestCodec_GeoNetworking.tc_GeoNet_UtGnTrigger_GeoBroadcast_1
#TestCodec_GeoNetworking.tc_GeoNet_UtGnTrigger_GeoBroadcast_2
#TestCodec_GeoNetworking.tc_GeoNet_UtGnTrigger_GeoAnycast_1
#TestCodec_GeoNetworking.tc_GeoNet_UtGnTrigger_GeoAnycast_2
#TestCodec_GeoNetworking.tc_GeoNet_UtGnTrigger_Shb_1
#TestCodec_GeoNetworking.tc_GeoNet_UtGnTrigger_Shb_2
#TestCodec_GeoNetworking.tc_GeoNet_UtGnTrigger_Tsb_1
#TestCodec_GeoNetworking.tc_GeoNet_UtGnTrigger_Tsb_2

# Btp PDU
#TestCodec_Btp.tc_Btp_A_Without_Payload
#TestCodec_Btp.tc_Btp_A
#TestCodec_Btp.tc_Btp_B
#TestCodec_Btp.tc_BtpReq_A
# Btp Port
#TestCodec_Btp.tc_Btp_Port

# CAM PDU tests
#TestCodec_CAM.tc_CamReq
#TestCodec_CAM.tc_CamInd_1
#TestCodec_CAM.tc_CamInd_2
# CAM port tests
# To run the CAM port tests, use the offline mode and the test data provided. Use PcapLayer.save_mode to save sent packet into a file
TestCodec_CAM.tc_Cam_Port          # Use simulator of file to run this test
                                    # Used to test device_mode=1,beaconing=1,BTP-B
#TestCodec_CAM.tc_Cam_Port_1        # Use simulator of file to run this test
                                    # Used to generate CAM message
# CAM UpperTester
#TestCodec_CAM.tc_Cam_UtCamInitialize
#TestCodec_CAM.tc_Cam_UtCamChangePosition
#TestCodec_CAM.tc_Cam_UtCamChangeCurvature
#TestCodec_CAM.tc_Cam_UtCamChangeSpeed
#TestCodec_CAM.tc_Cam_UtCamSetAccelerationControlStatus
#TestCodec_CAM.tc_Cam_UtCamSetExteriorLightsStatus_lowBeamHeadlightsOn
#TestCodec_CAM.tc_Cam_UtCamSetExteriorLightsStatus_leftTurnSignalOn
#TestCodec_CAM.tc_Cam_UtCamSetExteriorLightsStatus_daytimeRunningLightsOn
#TestCodec_CAM.tc_Cam_UtCamSetExteriorLightsStatus_parkingLightsOn
#TestCodec_CAM.tc_Cam_UtCamChangeHeading
#TestCodec_CAM.tc_Cam_UtCamSetDriveDirection
#TestCodec_CAM.tc_Cam_UtCamChangeYawRate
#TestCodec_CAM.tc_Cam_UtCamChangeYawRate_negative
#TestCodec_CAM.tc_Cam_UtCamSetStationType
#TestCodec_CAM.tc_Cam_UtCamSetVehicleRole
#TestCodec_CAM.tc_Cam_UtCamSetDangerousGoods
#TestCodec_CAM.tc_Cam_UtCamSetLightBarSirene
#TestCodec_CAM.tc_Cam_UtCamTriggerResult
#TestCodec_CAM.tc_Cam_UtCamEventInd_1
#TestCodec_CAM.tc_Cam_UtCamEventInd_2

# DENM PDU
#TestCodec_DENM.tc_DenmReq
#TestCodec_DENM.tc_DenmInd
# DENMM port tests
# To run the DENM port tests, use the offline mode and the test data provided. Use PcapLayer.save_mode to save sent packet into a file
#TestCodec_DENM.tc_Denm_Port        # Use simulator of file to run this test
                                    # Used to test device_mode=1,beaconing=1
#TestCodec_DENM.tc_Denm_Port_1      # Use simulator of file to run this test
                                    # Used to generate DENM message
#TestCodec_DENM.tc_Denm_Port_utPort
# DENM UpperTester
#TestCodec_DENM.tc_Denm_UtDenmInitialize
#TestCodec_DENM.tc_Denm_UtDenmChangePosition
#TestCodec_DENM.tc_Denm_UtDenmChangePseudonym
#TestCodec_DENM.tc_Denm_UtDenmTrigger_1
#TestCodec_DENM.tc_Denm_UtDenmTrigger_2
#TestCodec_DENM.tc_Denm_UtDenmUpdate_1
#TestCodec_DENM.tc_Denm_UtDenmUpdate_2
#TestCodec_DENM.tc_Denm_UtDenmTriggerResult
#TestCodec_DENM.tc_Denm_UtDenmUpdateResult
#TestCodec_DENM.tc_Denm_UtDenmEventInd_1
#TestCodec_DENM.tc_Denm_UtDenmEventInd_2

# IVIM PDU
#TestCodec_IVIM.tc_IvimReq
#TestCodec_IVIM.tc_IvimInd_1
#TestCodec_IVIM.tc_IvimInd_2
# IVIM port tests
# To run the IVIM port tests, use the offline mode and the test data provided. Use PcapLayer.save_mode to save sent packet into a file
#TestCodec_IVIM.tc_Ivim_Port
# IVIM UpperTester
#TestCodec_IVIM.tc_Ivim_UtIvimInitialize
#TestCodec_IVIM.tc_Ivim_UtIvimTrigger_1
#TestCodec_IVIM.tc_Ivim_UtIvimTrigger_2
#TestCodec_IVIM.tc_Ivim_UtIvimUpdate
#TestCodec_IVIM.tc_Ivim_UtIvimTermination

# Security tests
# Security Functions
#TestCodec_SecuredFuntions.tc_sha256_1
#TestCodec_SecuredFuntions.tc_sha384_1
#TestCodec_SecuredFuntions.tc_f_generate_key_pair_1
#TestCodec_SecuredFuntions.tc_f_generate_key_pair_2
#TestCodec_SecuredFuntions.tc_f_generate_key_pair_3
#TestCodec_SecuredFuntions.tc_f_signWithEcdsaNistp256WithSha256_1
#TestCodec_SecuredFuntions.tc_f_verifyWithEcdsaNistp256WithSha256_1
#TestCodec_SecuredFuntions.tc_f_verifyWithEcdsaNistp256WithSha256_2
#TestCodec_SecuredFuntions.tc_f_verifyWithEcdsaNistp256WithSha256_3
#TestCodec_SecuredFuntions.tc_f_signWithEcdsaBrainpoolp256WithSha256_1
#TestCodec_SecuredFuntions.tc_f_verifyWithEcdsaBrainpoolp256WithSha256_1
#TestCodec_SecuredFuntions.tc_f_verifyWithEcdsaBrainpoolp256WithSha256_2
#TestCodec_SecuredFuntions.tc_f_verifyWithEcdsaBrainpoolp256WithSha256_3
#TestCodec_SecuredFuntions.tc_f_signWithEcdsaBrainpoolp384WithSha384_1
#TestCodec_SecuredFuntions.tc_f_verifyWithEcdsaBrainpoolp384WithSha384_1
#TestCodec_SecuredFuntions.tc_f_verifyWithEcdsaBrainpoolp384WithSha384_2
#TestCodec_SecuredFuntions.tc_f_verifyWithEcdsaBrainpoolp384WithSha384_3
# Certificates
#TestCodec_Certificates.tc_root_certificate_sha256_1
#TestCodec_Certificates.tc_root_certificate_sha256_2
#TestCodec_Certificates.tc_root_certificate_sha384_1
#TestCodec_Certificates.tc_at_certificate_sha256_1
#TestCodec_Certificates.tc_at_certificate_sha256_2
#TestCodec_Certificates.tc_certificate_asn1c_1
# Secured messages
#TestCodec_SecuredMessages.tc_ssp_cam_1
#TestCodec_SecuredMessages.tc_ssp_cam_2
#TestCodec_SecuredMessages.tc_ssp_denm
#TestCodec_SecuredMessages.tc_secured_message_unsecured
#TestCodec_SecuredMessages.tc_secured_message_signed_1
#TestCodec_SecuredMessages.tc_secured_message_signed_2
# Chain of certificates
#TestCodec_ChainOfCertificates.tc_full_check_certificate_1
#TestCodec_ChainOfCertificates.tc_full_check_certificate_2

[MAIN_CONTROLLER]
# The options herein control the behavior of MC.
KillTimer := 10.0
TCPPort := 0
LocalAddress := 127.0.0.1
TCPPort := 12000
NumHCs := 1
